/**
 * Copyright 2022 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const APP_CONFIGURATION = "App Configuration: ";
export declare const DEFAULT_ENTITY_ID = "$$null$$";
export declare const DEFAULT_SEGMENT_ID = "$$null$$";
export declare const DEFAULT_FEATURE_VALUE = "$default";
export declare const DEFAULT_PROPERTY_VALUE = "$default";
export declare const DEFAULT_ROLLOUT_PERCENTAGE = "$default";
export declare const DEFAULT_USAGE_LIMIT = 25;
export declare const NUMBER_OF_RETRIES = 3;
export declare const MAX_HASH_VALUE: number;
export declare const NORMALIZER = 100;
export declare const EVENT_SOURCE_HEARTBEAT_TIMEOUT: number;
export declare const CONFIGURATION_UPDATE_EVENT = "configurationUpdate";
export declare const REGISTRATION_EVENT = "registration";
export declare const INVALID_ENTITY_ID = "Invalid entityId passed to";
